﻿using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace EliteBGS.BGS.LogGenerator {
    class VistaGenomics : LogFormatter {
        public string GenerateLog(Objective objective) {
            IEnumerable<OrganicData> logs = objective.LogEntries.OfType<OrganicData>();
            StringBuilder builder = new StringBuilder();

            if (logs == null || logs.Count() < 0) {
                return "";
            }

            foreach(OrganicData log in logs) {
                builder.AppendLine(log.ToString());
            }

            return builder.ToString();
        }
    }
}
